Bug 518284 - [LTC 6.0 FEAT] Backport Intel watchdog emulation [202012]
Summary: [LTC 6.0 FEAT] Backport Intel watchdog emulation [202012]
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.0
Hardware: All
OS: All
high
high
Target Milestone: beta
: 6.0
Assignee: Richard W.M. Jones
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 356741 524565 554559 555224 555228
TreeView+ depends on / blocked
 
Reported: 2009-08-19 18:11 UTC by IBM Bug Proxy
Modified: 2016-04-26 14:13 UTC (History)
6 users (show)

Fixed In Version: qemu-0.10.91-0.5.rc1.fc12
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-11 14:54:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
IBM Linux Technology Center 55541 None None None Never

Description IBM Bug Proxy 2009-08-19 18:11:43 UTC
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:	[202012]
a. Name of Feature:	Backport Intel watchdog emulation
b. Feature Description
Backport Intel watchdog emulation in upstream qemu to 5.4 kvm

2. Feature Details:
Sponsor:	LTC
Architectures:
x86
x86_64

Arch Specificity: Both
Delivery Mechanism: Backport
Category:	Xen
Request Type:	Driver - Feature from Upstream
d. Upstream Acceptance:	Accepted
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	3rd party code
g. Component Version Target:	qemu 0.11

3. Business Case
Increase the RAS capabilities of KVM virtualization solutions by allowing guest OSes to use an
emulated watchdog that can take action when the GuestOS encounters a critical error.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Stephanie Glass, sglass@us.ibm.com, 512-838-9284

Technical contact(s):
Ryan Harper, raharper@us.ibm.com

IBM Manager:
Warren Grunbok II, grunbok@us.ibm.com

Comment 3 Dor Laor 2009-09-24 11:49:00 UTC
Can you please answer the https://bugzilla.redhat.com/show_bug.cgi?id=518284#c2 question?

Comment 4 Stephanie Glass 2009-09-24 11:58:05 UTC
We do not see Comment 2...

Comment 5 Subhendu Ghosh 2009-10-24 01:21:48 UTC
c#2 summary

What is the target release?

  Flag set = 6.0.0? 

  Target release = 5.5

  In the description = 
   "Backport Intel watchdog emulation in upstream qemu to 5.4 kvm"

Comment 6 Dor Laor 2009-10-25 09:57:50 UTC
btw: isn't this device fully upstream in qemu 0.12? If that's the case, then it will just work out of the box.

Comment 7 Richard W.M. Jones 2009-10-26 16:51:34 UTC
Dor is correct that it's upstream in qemu for a very
long time.

It's also now in libvirt 0.7.3, so you can add watchdogs
to your guests by doing:

  <watchdog model='i6300esb' />

(See: http://libvirt.org/formatdomain.html#elementsWatchdog)

I'm not sure if IBM require the libvirt functionality
as well.  We may need to backport this if so.

Comment 10 releng-rhel@redhat.com 2010-11-11 14:54:44 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.